org.richfaces.renderkit.util

## Class CoreAjaxRendererUtils

- java.lang.Object
- - org.richfaces.renderkit.util.CoreAjaxRendererUtils

-     public final class CoreAjaxRendererUtils
      extends Object

  Author:
    shura

    Some utilites for render AJAX components.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AJAX_PROCESS_ATTRIBUTE`
    `static String` | `AJAX_REGIONS_ATTRIBUTE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<String>` | `asIdsSet(Object valueToSet)`
    `static Set<String>` | `asSimpleSet(Object valueToSet)`
    `static Set<String>` | `getAjaxAreas(javax.faces.component.UIComponent uiComponent)` Get list of clientId's for given component
    `static Set<String>` | `getAjaxAreasToProcess(javax.faces.component.UIComponent component)` Returns set of areas to be processed as a result of this component action invocation
    `static void` | `renderAjaxExtensions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AJAX_PROCESS_ATTRIBUTE

          public static final String AJAX_PROCESS_ATTRIBUTE

      Since:
        3.3.0
      See Also:
        Constant Field Values

    - #### AJAX_REGIONS_ATTRIBUTE

          public static final String AJAX_REGIONS_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### renderAjaxExtensions

          public static void renderAjaxExtensions(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)
                                           throws IOException

      Throws:
        `IOException`

    - #### getAjaxAreas

          public static Set<String> getAjaxAreas(javax.faces.component.UIComponent uiComponent)

      Get list of clientId's for given component
      Parameters:
        `uiComponent` -
      Returns:
        List of areas Id's , updated by this component.

    - #### getAjaxAreasToProcess

          public static Set<String> getAjaxAreasToProcess(javax.faces.component.UIComponent component)

      Returns set of areas to be processed as a result of this component action invocation
      Parameters:
        `component` -
      Returns:
        set of IDs that should be processed as a
      Since:
        3.3.0

    - #### asSimpleSet

          public static Set<String> asSimpleSet(Object valueToSet)

    - #### asIdsSet

          public static Set<String> asIdsSet(Object valueToSet)

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.